# Uses of Class
org.apache.lucene.codecs.PointsWriter

Packages that use PointsWriter
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.

- ## Uses of PointsWriter in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return PointsWriter
  Modifier and Type
  Method
  Description
  `abstract PointsWriter`
  PointsFormat.`fieldsWriter(SegmentWriteState state)`
  Writes a new segment

- ## Uses of PointsWriter in org.apache.lucene.codecs.lucene90

  Subclasses of PointsWriter in org.apache.lucene.codecs.lucene90
  Modifier and Type
  Class
  Description
  `class`
  `Lucene90PointsWriter`
  Writes dimensional values
  Methods in org.apache.lucene.codecs.lucene90 that return PointsWriter
  Modifier and Type
  Method
  Description
  `PointsWriter`
  Lucene90PointsFormat.`fieldsWriter(SegmentWriteState state)`